classification
Title: timezone docs need "versionadded: 3.2"
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Nurhusien2, asvetlov, berker.peksag, docs@python, eric.araujo, ncoghlan, python-dev, terab
Priority: normal Keywords: easy, patch

Created on 2012-12-12 00:30 by ncoghlan, last changed 2014-06-22 23:27 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue16667.diff berker.peksag, 2012-12-13 13:15 review
issue16667_v2.diff asvetlov, 2012-12-13 13:52
issue16667_v3.diff berker.peksag, 2014-06-08 00:09 review
Messages (6)
msg177358 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-12-12 00:30
The docs for the fixed offset timezone objects added in 3.2 need a versionadded tag.

Also, the "see also" link for pytz in the preceding section still incorrectly states that the stdlib only provides UTC as a timezone, rather than handling arbitrary fixed offsets from UTC.
msg177407 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-12-13 13:52
I've reworded patch a bit and made it based on 3.2 for easier merging.
msg177413 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2012-12-13 16:32
Second patch has a stray slash character, and the versionadded directive does not seem to be in the same place as the first patch.
msg219994 - (view) Author: Yayoi Ukai (terab) * Date: 2014-06-07 22:46
I did make patchcheck and make html and checked all versions HTML documents and looks great. Good job!
msg220005 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-06-08 00:09
The attached patch combines my changes with Andrew's patch.
msg221324 - (view) Author: Roundup Robot (python-dev) Date: 2014-06-22 23:27
New changeset b32174cad588 by Benjamin Peterson in branch '3.4':
some timezone doc improvements (closes #16667)
http://hg.python.org/cpython/rev/b32174cad588

New changeset 7dc94337ef67 by Benjamin Peterson in branch 'default':
merge 3.4 (#16667)
http://hg.python.org/cpython/rev/7dc94337ef67
History
Date User Action Args
2014-06-22 23:27:16python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg221324

resolution: fixed
stage: patch review -> resolved
2014-06-08 00:09:57berker.peksagsetfiles: + issue16667_v3.diff

messages: + msg220005
versions: + Python 3.5, - Python 3.2, Python 3.3
2014-06-07 22:46:54terabsetnosy: + terab
messages: + msg219994
2012-12-13 16:32:55eric.araujosetmessages: + msg177413
2012-12-13 16:32:06asvetlovsetstage: needs patch -> patch review
2012-12-13 16:30:55eric.araujosetmessages: - msg177410
2012-12-13 16:15:38Nurhusien2setnosy: + Nurhusien2
messages: + msg177410
2012-12-13 13:52:40asvetlovsetfiles: + issue16667_v2.diff
nosy: + asvetlov
messages: + msg177407

2012-12-13 13:15:27berker.peksagsetnosy: + berker.peksag
2012-12-13 13:15:15berker.peksagsetfiles: + issue16667.diff
keywords: + patch
2012-12-12 01:11:46eric.araujosetkeywords: + easy
nosy: + eric.araujo
2012-12-12 01:00:18ncoghlansetassignee: docs@python

components: + Documentation
nosy: + docs@python
2012-12-12 00:30:02ncoghlancreate